Bug 51100 - NIC detection issue
NIC detection issue
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-07 07:50 EDT by Bryan Leopard
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-15 09:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-08-07 07:50:35 EDT
Test Case 5.0.3 - NIC/driver removal
Red Hat 7.1, ML330, bcm5700.0 2.0.9 (eth1)

To satisfy this test case, I physically remove a previously configured NIC 
(NC7770).  Kudzu runs and displays "the bcm5700 device has been removed 
from your system" as expected.  It asks for input for one of three 
choices: Remove Configuration, Keep Configuration, or Do Nothing.   I 
choose Remove Configuration so that the system can be configured with no 
Nics (Broadcom Nics)


An "unconfiguring device" message briefly displays

Upon bringing up the server again, a message appears - Insmod eth1 failed

Further inspection reveals configuration information for the removed NIC 
is still displayed in Linux conf and modules.conf.

I am unsure if this is an OS problem, NIC problem, or operator problem.  
However, the system cannot be fully reconfigured for no NICS unless it 
done manually.

Retested with Red Hat 7.2 Beta3.

I physically removed a previously configured NIC (NC7770).  Kudzu runs and 
displays "the following network card was removed from your system" 
and "unknown vendor|generic bcm5700 device".  It asks for input for one of 
three choices: Remove Configuration, Keep Configuration, or Do Nothing.   
I choose Remove Configuration so that the system can be re-configured with 
no Nics (Broadcom Nics).

1. I still see messages pertaining to insmod eth1 failures.
2. Linuxconf and modules.conf still contain driver entries.
3. The ethernet associated with the NC7770 is now detected during a fresh 
install.
4. Kudzu is not reporting the detection of the Compaq NC7770.

I am unsure if point  #1 and #2 are expected behaviour.  I went back to 
Linuxconf and selected disable eth1, rebooted, and the insmod eth1 failure 
messages went away.
Comment 1 Glen Foster 2001-08-07 16:08:02 EDT
This defect is considered SHOULD-FIX for Fairfax
Comment 2 Bill Nottingham 2001-08-07 16:16:54 EDT
Did you have multiple broadcoms in the machine and only remove one, or was
the broadcom the only card in the machine?
Comment 3 Bryan Leopard 2001-08-15 09:24:45 EDT
There is only one Broadcom NIC in the machine. 
Comment 4 Bill Nottingham 2001-08-15 13:35:38 EDT
Will be fixed in 0.99.15-1; thanks!

Note You need to log in before you can comment on or make changes to this bug.